package cn.dg32z.lon.checks.impl.combat.aim;

import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.RotationCheck;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.evicting.EvictingList;
import cn.dg32z.lon.utils.math.MathUtil;
import java.security.MessageDigest;
import java.util.List;
import java.util.function.ToDoubleFunction;
import java.util.stream.DoubleStream;
import java.util.stream.Stream;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "AimB", configName = "AimB", experimental = true, decay = 0.75d, setback = 7.0d)
/* loaded from: cn_dg32z_lon_checks_impl_combat_aim.jar:cn/dg32z/lon/checks/impl/combat/aim/AimB.class */
public final class AimB extends Check implements RotationCheck {
    private final EvictingList pitchVarCache;
    private int violationLevel;
    private final EvictingList yawAccelHistory;
    private double kThreshold;
    private double jerkThreshold;
    private final EvictingList kHistory;
    private final EvictingList pitchAccelHistory;
    private final EvictingList jerkHistory;
    private final EvictingList historicalKValues;
    private final EvictingList yawVarCache;
    private double lastSensitivityY;
    private long lastTick;
    private double lastSensitivityX;
    static Object a;

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "l\u001e|Òtq{¾ºå{ù9Ó$ô\u009b¯wbYòÀºM¾HÌúá\rûÎ\u0089¼¸8B`Éã¦ÞåK!ì5EaFN\u0082Ë·ÔºQÀèÀp\t¯¨ñe?¸ÆQµ¶J;a×RµÔ\fÄIóUÿOömà8ËÁ\u009bÝsµ½\u009fÛ§ð\u009a\u0019DÃ\u008eþèRüÚ ér\b<ç¹\rDÞ/ÙÖÜë!]ü*\u0005ß\u0094\u0098+ÔÃ|l>\u008b\u008e\u0011".getBytes("ISO_8859_1");
        byte[] bytes2 = "ð¦Üõ¬\u0098ÂI".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 485573710;
                    break;
                case true:
                    i = 1327804774;
                    break;
                case true:
                    i = 1306714660;
                    break;
                case true:
                    i = 297253425;
                    break;
                case true:
                    i = 1260176102;
                    break;
                case true:
                    i = -1881306115;
                    break;
                case true:
                    i = 847028614;
                    break;
                case true:
                    i = -44307466;
                    break;
                case true:
                    i = -986771027;
                    break;
                case true:
                    i = 1604049842;
                    break;
                case true:
                    i = -842590606;
                    break;
                case true:
                    i = 2061835108;
                    break;
                case true:
                    i = -1533823086;
                    break;
                case true:
                    i = 901375333;
                    break;
                case true:
                    i = -1640881466;
                    break;
                case true:
                    i = -458777588;
                    break;
                case true:
                    i = 1100631073;
                    break;
                case true:
                    i = -2027819076;
                    break;
                case true:
                    i = 1155581538;
                    break;
                case true:
                    i = -608319739;
                    break;
                case true:
                    i = 2073391382;
                    break;
                case true:
                    i = 496706250;
                    break;
                case true:
                    i = -1581865336;
                    break;
                case true:
                    i = -888457088;
                    break;
                case true:
                    i = 790563337;
                    break;
                case true:
                    i = -1810720582;
                    break;
                case true:
                    i = -385497489;
                    break;
                case true:
                    i = 657761310;
                    break;
                case true:
                    i = -1456392016;
                    break;
                case true:
                    i = 1496566593;
                    break;
                case true:
                    i = -738090280;
                    break;
                case true:
                    i = 380937388;
                    break;
                case true:
                    i = -1565011532;
                    break;
                case true:
                    i = 2132984136;
                    break;
                case true:
                    i = 399179905;
                    break;
                case true:
                    i = 1189541769;
                    break;
                case true:
                    i = -2143917565;
                    break;
                case true:
                    i = 358470301;
                    break;
                case true:
                    i = -1371919899;
                    break;
                case true:
                    i = 778641102;
                    break;
                case true:
                    i = -530897407;
                    break;
                case true:
                    i = -1477193541;
                    break;
                case true:
                    i = 1438867484;
                    break;
                case true:
                    i = -1547147994;
                    break;
                case true:
                    i = 588699968;
                    break;
                case true:
                    i = -795414999;
                    break;
                case true:
                    i = 1294717929;
                    break;
                case true:
                    i = -1637703780;
                    break;
                case true:
                    i = 1968650762;
                    break;
                case true:
                    i = 165917448;
                    break;
                case true:
                    i = 1652770518;
                    break;
                case true:
                    i = -538951401;
                    break;
                case true:
                    i = 201864911;
                    break;
                case true:
                    i = 1589039392;
                    break;
                case true:
                    i = 1161381119;
                    break;
                case true:
                    i = -1409051692;
                    break;
                case true:
                    i = -808610005;
                    break;
                case true:
                    i = 1172551775;
                    break;
                case true:
                    i = -546663395;
                    break;
                case true:
                    i = 871508239;
                    break;
                case true:
                    i = -1976135840;
                    break;
                case true:
                    i = 1497966987;
                    break;
                case true:
                    i = -1527891538;
                    break;
                case true:
                    i = -556081374;
                    break;
                case true:
                    i = 826337681;
                    break;
                case true:
                    i = 1835022669;
                    break;
                case true:
                    i = 91702043;
                    break;
                case true:
                    i = -1523845074;
                    break;
                case true:
                    i = -1088824060;
                    break;
                case true:
                    i = 1597338260;
                    break;
                case true:
                    i = -460117325;
                    break;
                case true:
                    i = -1699596128;
                    break;
                case true:
                    i = -429468907;
                    break;
                case true:
                    i = 830673980;
                    break;
                case true:
                    i = 1822592405;
                    break;
                case true:
                    i = -265093132;
                    break;
                case true:
                    i = 926980922;
                    break;
                case true:
                    i = 1906219330;
                    break;
                case true:
                    i = 728005611;
                    break;
                case true:
                    i = -476001556;
                    break;
                case true:
                    i = 45076281;
                    break;
                case true:
                    i = 2036005814;
                    break;
                case true:
                    i = -175462201;
                    break;
                case true:
                    i = -1742038667;
                    break;
                case true:
                    i = -1843300300;
                    break;
                case true:
                    i = -819695563;
                    break;
                case true:
                    i = 89078504;
                    break;
                case true:
                    i = -899929032;
                    break;
                case true:
                    i = 2050434644;
                    break;
                case true:
                    i = 1756465619;
                    break;
                case true:
                    i = 2087389317;
                    break;
                case true:
                    i = 26084761;
                    break;
                case true:
                    i = -859434534;
                    break;
                case true:
                    i = -370086034;
                    break;
                case true:
                    i = 1582658064;
                    break;
                case true:
                    i = -868111749;
                    break;
                case true:
                    i = 1494021791;
                    break;
                case true:
                    i = -1868944081;
                    break;
                case true:
                    i = 447036982;
                    break;
                case true:
                    i = -503867047;
                    break;
                case true:
                    i = -1419722521;
                    break;
                case true:
                    i = 2017150076;
                    break;
                case true:
                    i = 1526467700;
                    break;
                case true:
                    i = -1479419197;
                    break;
                case true:
                    i = 51134687;
                    break;
                case true:
                    i = 1510205854;
                    break;
                case true:
                    i = 1650220485;
                    break;
                case true:
                    i = -1758512333;
                    break;
                case true:
                    i = 1847554714;
                    break;
                case true:
                    i = 707443988;
                    break;
                case true:
                    i = 1868839497;
                    break;
                case true:
                    i = -1013415231;
                    break;
                case true:
                    i = -609282695;
                    break;
                case true:
                    i = -1177036708;
                    break;
                case true:
                    i = 769979197;
                    break;
                case true:
                    i = 689583709;
                    break;
                case true:
                    i = 1976409618;
                    break;
                case true:
                    i = 1128493386;
                    break;
                case true:
                    i = -386760354;
                    break;
                case true:
                    i = 1253756195;
                    break;
                case true:
                    i = 1905444055;
                    break;
                case true:
                    i = -445740633;
                    break;
                case true:
                    i = 1393267504;
                    break;
                case true:
                    i = -748268953;
                    break;
                case true:
                    i = -1122552457;
                    break;
                case true:
                    i = 818334509;
                    break;
                case true:
                    i = -123387498;
                    break;
                case true:
                    i = -1884956984;
                    break;
                case true:
                    i = 1302209107;
                    break;
                case true:
                    i = 224799673;
                    break;
                case true:
                    i = -931927277;
                    break;
                case true:
                    i = -183875571;
                    break;
                case true:
                    i = 327072739;
                    break;
                case true:
                    i = 967956086;
                    break;
                case true:
                    i = 779933508;
                    break;
                case true:
                    i = 446135066;
                    break;
                case true:
                    i = -772023397;
                    break;
                case true:
                    i = 472090756;
                    break;
                case true:
                    i = -1852673957;
                    break;
                case true:
                    i = 754285808;
                    break;
                case true:
                    i = -682075423;
                    break;
                case true:
                    i = -1874631827;
                    break;
                case true:
                    i = 1083659486;
                    break;
                case true:
                    i = 117146620;
                    break;
                case true:
                    i = 693820184;
                    break;
                case true:
                    i = 344444635;
                    break;
                case true:
                    i = 335712895;
                    break;
                case true:
                    i = 1015615610;
                    break;
                case true:
                    i = -2074340643;
                    break;
                case true:
                    i = 1614019750;
                    break;
                case true:
                    i = -354306791;
                    break;
                case true:
                    i = -136898575;
                    break;
                case true:
                    i = 589742378;
                    break;
                case true:
                    i = -190502543;
                    break;
                case true:
                    i = 1329301800;
                    break;
                case true:
                    i = 28589459;
                    break;
                case true:
                    i = -861865776;
                    break;
                case true:
                    i = -267803887;
                    break;
                case true:
                    i = -1367295937;
                    break;
                case true:
                    i = -121861894;
                    break;
                case true:
                    i = -39166129;
                    break;
                case true:
                    i = -277074088;
                    break;
                case true:
                    i = -840586761;
                    break;
                case true:
                    i = 2077100256;
                    break;
                case true:
                    i = 437484912;
                    break;
                case true:
                    i = -1892587395;
                    break;
                case true:
                    i = 978533200;
                    break;
                case true:
                    i = 369189807;
                    break;
                case true:
                    i = -1957800527;
                    break;
                case true:
                    i = 1745624047;
                    break;
                case true:
                    i = 240275211;
                    break;
                case true:
                    i = 1468414607;
                    break;
                case true:
                    i = 1186516939;
                    break;
                case true:
                    i = -708261114;
                    break;
                case true:
                    i = 1345335277;
                    break;
                case true:
                    i = 1412487820;
                    break;
                case true:
                    i = -731532203;
                    break;
                case true:
                    i = 1463801326;
                    break;
                case true:
                    i = -1915201856;
                    break;
                case true:
                    i = -276319051;
                    break;
                case true:
                    i = 307316099;
                    break;
                case true:
                    i = -1371477039;
                    break;
                case true:
                    i = 214046267;
                    break;
                case true:
                    i = -202081150;
                    break;
                case true:
                    i = 1396354808;
                    break;
                case true:
                    i = -1384001582;
                    break;
                case true:
                    i = -1726537140;
                    break;
                case true:
                    i = 145099052;
                    break;
                case true:
                    i = 1546377442;
                    break;
                case true:
                    i = -1136292151;
                    break;
                case true:
                    i = -1843261000;
                    break;
                case true:
                    i = -1662175574;
                    break;
                case true:
                    i = 743268586;
                    break;
                case true:
                    i = -805261993;
                    break;
                case true:
                    i = -2124269568;
                    break;
                case true:
                    i = -776966089;
                    break;
                case true:
                    i = 1883026942;
                    break;
                case true:
                    i = -141430615;
                    break;
                case true:
                    i = 932481330;
                    break;
                case true:
                    i = 523677510;
                    break;
                case true:
                    i = 1358341025;
                    break;
                case true:
                    i = -1997618328;
                    break;
                case true:
                    i = -573087225;
                    break;
                case true:
                    i = -666631747;
                    break;
                case true:
                    i = -959917170;
                    break;
                case true:
                    i = -1130535666;
                    break;
                case true:
                    i = -1962321982;
                    break;
                case true:
                    i = -124851425;
                    break;
                case true:
                    i = 1323365451;
                    break;
                case true:
                    i = -1589224533;
                    break;
                case true:
                    i = 216101258;
                    break;
                case true:
                    i = -1254669424;
                    break;
                case true:
                    i = 1849206530;
                    break;
                case true:
                    i = 675925610;
                    break;
                case true:
                    i = -1555986445;
                    break;
                case true:
                    i = -1352907737;
                    break;
                case true:
                    i = -1425447947;
                    break;
                case true:
                    i = -505620997;
                    break;
                case true:
                    i = 1093237924;
                    break;
                case true:
                    i = 746130275;
                    break;
                case true:
                    i = -152839583;
                    break;
                case true:
                    i = 1325259089;
                    break;
                case true:
                    i = 2075961923;
                    break;
                case true:
                    i = 1661710188;
                    break;
                case true:
                    i = 188390998;
                    break;
                case true:
                    i = 1758366647;
                    break;
                case true:
                    i = 54050199;
                    break;
                case true:
                    i = 1568451496;
                    break;
                case true:
                    i = 552081613;
                    break;
                case true:
                    i = -1026222145;
                    break;
                case true:
                    i = 1439676629;
                    break;
                case true:
                    i = -1501474169;
                    break;
                case true:
                    i = 489946942;
                    break;
                case true:
                    i = 395154380;
                    break;
                case true:
                    i = 927791833;
                    break;
                case true:
                    i = 1787654393;
                    break;
                case true:
                    i = -1134760552;
                    break;
                case true:
                    i = -405808806;
                    break;
                case true:
                    i = 1686600099;
                    break;
                case true:
                    i = -694850340;
                    break;
                case true:
                    i = 518961124;
                    break;
                case true:
                    i = 1562198398;
                    break;
                case true:
                    i = 1696693353;
                    break;
                case true:
                    i = -1365020301;
                    break;
                case true:
                    i = 611758477;
                    break;
                case true:
                    i = -936580878;
                    break;
                case true:
                    i = 1530433982;
                    break;
                case true:
                    i = -1546155227;
                    break;
                case true:
                    i = 666041707;
                    break;
                case true:
                    i = -951809886;
                    break;
                case true:
                    i = 900634564;
                    break;
                case true:
                    i = 848538962;
                    break;
                case true:
                    i = 2120910245;
                    break;
                case true:
                    i = 1985414213;
                    break;
                case true:
                    i = -790690696;
                    break;
                case true:
                    i = 1947341383;
                    break;
                default:
                    i = -705735200;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[3];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double calculateEMA(List list) {
        int i = 0;
        while (!list.isEmpty()) {
            while (true) {
                double doubleValue = ((Double) list.get(0)).doubleValue();
                if (873.34827f - 5.295393f == 868.05286f) {
                    i = 1;
                    if (635.484f - 9.16411f != 626.3199f) {
                        break;
                    }
                }
                while (i < list.size()) {
                    if (868.98584f - 12.069454f == 856.9164f) {
                        doubleValue = (0.15d * ((Double) list.get(i)).doubleValue()) + (0.85d * doubleValue);
                        if (523.303955078125d - 0.2d != 523.10394f) {
                        }
                        i++;
                    }
                }
                return doubleValue;
            }
        }
        return 0.0d;
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x00a1, code lost:
    
        r18 = r11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x00af, code lost:
    
        if ((1084.8442f - 11.477667f) == 1073.3666f) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x00e6, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x00fc, code lost:
    
        if (r18 >= r10.size()) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x010b, code lost:
    
        if ((1319.39697265625d - 0.4d) != 1318.997f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0014, code lost:
    
        r14 = r14 + ((((java.lang.Double) r10.get(r18)).doubleValue() - r0) * (((java.lang.Double) r10.get(r18 - r11)).doubleValue() - r0));
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0047, code lost:
    
        if ((700.47095f - 9.742969f) != 690.72797f) goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x011a, code lost:
    
        return r14 / (r16 + 1.0E-6d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x004d, code lost:
    
        r16 = r16 + java.lang.Math.pow(((java.lang.Double) r10.get(r18)).doubleValue() - r0, 2.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0073, code lost:
    
        if ((731.9579f - 7.172048f) != 724.7858f) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x00b5, code lost:
    
        r18 = r18 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x00e6, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00e0, code lost:
    
        if ((1155.3123f - 14.239378f) != 1141.0729f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x008d, code lost:
    
        r14 = 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x009b, code lost:
    
        if ((893.3733f - 5.242231f) == 888.13104f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0079, code lost:
    
        r16 = 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0087, code lost:
    
        if ((1216.3f - 11.334449f) == 1204.9656f) goto L15;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:11:0x00af -> B:6:0x008d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:15:0x010b -> B:8:0x0079). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x00b5 -> B:12:0x00f4). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double calculateAutocorrelation(java.util.List r10, int r11) {
        /*
            Method dump skipped, instructions count: 287
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.calculateAutocorrelation(java.util.List, int):double");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double calculatePeriodicity(List list) {
        double sum;
        double doubleValue;
        if (list.size() < 10) {
            return 0.0d;
        }
        do {
            sum = list.stream().mapToDouble(d -> {
                return d.doubleValue() * d.doubleValue();
            }).sum();
            if (1038.208f - 9.693546f == 1028.5144f) {
            }
            doubleValue = (((Double) list.get(0)).doubleValue() * ((Double) list.get(0)).doubleValue()) + (((Double) list.get(1)).doubleValue() * ((Double) list.get(1)).doubleValue());
        } while (1338.0693f - 12.163809f != 1325.9055f);
        return doubleValue / (sum + 1.0E-6d);
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0035, code lost:
    
        r5.pitchAccelHistory.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0047, code lost:
    
        if ((1099.5614f - 14.532085f) == 1085.0293f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x001c, code lost:
    
        r5.historicalKValues.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x002f, code lost:
    
        if ((1174.778564453125d - 0.2d) == 1174.5786f) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x00c8, code lost:
    
        r5.kHistory.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00db, code lost:
    
        if ((678.7276611328125d - 0.2d) != 678.52765f) goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x004e, code lost:
    
        r5.jerkHistory.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0060, code lost:
    
        if ((1313.7643f - 9.75487f) == 1304.0094f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0097, code lost:
    
        r5.yawVarCache.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x00a9, code lost:
    
        if ((1198.3596f - 13.315814f) != 1185.0438f) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x004d, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:2:0x00c2, code lost:
    
        if ((1321.0712890625d - 0.7d) != 1320.3713f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0003, code lost:
    
        r5.pitchVarCache.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x0016, code lost:
    
        if ((1391.683349609375d - 0.6d) != 1391.0834f) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x007e, code lost:
    
        r5.kThreshold = 25.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x0091, code lost:
    
        if ((1264.96484375d - 0.2d) != 1264.7649f) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0066, code lost:
    
        r5.jerkThreshold = 8.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0078, code lost:
    
        if ((1255.6211f - 14.47192f) != 1241.1492f) goto L33;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:18:0x0060 -> B:13:0x001c). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void resetHistory() {
        /*
            r5 = this;
            goto Laf
        L3:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.pitchVarCache
            r0.clear()
            r0 = 4653835503546662912(0x4095bebbc0000000, double:1391.683349609375)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1152246443(0x44ade2ab, float:1391.0834)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L7e
            goto L7e
        L1c:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.historicalKValues
            r0.clear()
            r0 = 4652881546213064704(0x40925b1d40000000, double:1174.778564453125)
            r1 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r0 = r0 - r1
            r1 = 1150472836(0x4492d284, float:1174.5786)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3
            goto Lc8
        L35:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.pitchAccelHistory
            r0.clear()
            r0 = 1149858295(0x448971f7, float:1099.5614)
            r1 = 1097368428(0x4168836c, float:14.532085)
            float r0 = r0 - r1
            r1 = 1149739248(0x4487a0f0, float:1085.0293)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L1c
            goto Lc8
        L4d:
            return
        L4e:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.jerkHistory
            r0.clear()
            r0 = 1151613045(0x44a43875, float:1313.7643)
            r1 = 1092359155(0x411c13f3, float:9.75487)
            float r0 = r0 - r1
            r1 = 1151533133(0x44a3004d, float:1304.0094)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L97
            goto L1c
        L66:
            r0 = r5
            r1 = 4620693217682128896(0x4020000000000000, double:8.0)
            r0.jerkThreshold = r1
            r0 = 1151136736(0x449cf3e0, float:1255.6211)
            r1 = 1097305340(0x41678cfc, float:14.47192)
            float r0 = r0 - r1
            r1 = 1151018182(0x449b24c6, float:1241.1492)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L7e
            goto L4d
        L7e:
            r0 = r5
            r1 = 4627730092099895296(0x4039000000000000, double:25.0)
            r0.kThreshold = r1
            r0 = 4653278189664075776(0x4093c3dc00000000, double:1264.96484375)
            r1 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r0 = r0 - r1
            r1 = 1151211642(0x449e187a, float:1264.7649)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L66
            goto L66
        L97:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.yawVarCache
            r0.clear()
            r0 = 1150667650(0x4495cb82, float:1198.3596)
            r1 = 1096093075(0x41550d93, float:13.315814)
            float r0 = r0 - r1
            r1 = 1150558567(0x44942167, float:1185.0438)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L4d
            goto L3
        Laf:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.yawAccelHistory
            r0.clear()
            r0 = 4653524948420132864(0x4094a44900000000, double:1321.0712890625)
            r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r0 = r0 - r1
            r1 = 1151667170(0x44a50be2, float:1320.3713)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3
            goto L35
        Lc8:
            r0 = r5
            cn.dg32z.lon.utils.evicting.EvictingList r0 = r0.kHistory
            r0.clear()
            r0 = 4649181367463051264(0x408535d240000000, double:678.7276611328125)
            r1 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r0 = r0 - r1
            r1 = 1143579077(0x4429a1c5, float:678.52765)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L4e
            goto L35
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.resetHistory():void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0066, code lost:
    
        r9 = ((java.lang.Double) r0.get(r8)).doubleValue();
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0080, code lost:
    
        if ((1336.862f - 7.9809666f) == 1328.8811f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x00e4, code lost:
    
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x00f8, code lost:
    
        r11 = r8 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0108, code lost:
    
        if ((1277.2129f - 8.4421f) != 1268.7708f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0088, code lost:
    
        if (r11 < 0) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x009c, code lost:
    
        if (((java.lang.Double) r0.get(r11)).doubleValue() <= r9) goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x00aa, code lost:
    
        if ((1267.4105f - 11.511921f) == 1255.8986f) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x00bc, code lost:
    
        r0.set(r11 + 1, (java.lang.Double) r0.get(r11));
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x00dd, code lost:
    
        if ((1048.5364f - 14.994541f) != 1033.5419f) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x00b0, code lost:
    
        r11 = r11 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x00b6, code lost:
    
        r8 = r8 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x000f, code lost:
    
        r0.set(r11 + 1, java.lang.Double.valueOf(r9));
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x002a, code lost:
    
        if ((685.3872f - 7.466784f) == 677.9204f) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0044, code lost:
    
        if ((671.53357f - 9.48053f) != 662.05304f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x00e5, code lost:
    
        r8 = 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00f2, code lost:
    
        if ((1361.3438f - 12.662556f) != 1348.6812f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0051, code lost:
    
        if (r8 >= r0.size()) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0060, code lost:
    
        if ((645.4105834960938d - 0.4d) != 645.01056f) goto L14;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:11:0x0080 -> B:15:0x00f8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:9:0x0060 -> B:4:0x00e5). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private java.util.List insertSort(java.util.List r6) {
        /*
            Method dump skipped, instructions count: 272
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.insertSort(java.util.List):java.util.List");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double computeJerkThreshold(List list) {
        if (list.isEmpty()) {
            return 8.0d;
        }
        if (list.stream().anyMatch(d -> {
            if (Math.abs(d.doubleValue()) > 100.0d) {
                return true;
            }
            if (1367.2137f - 10.467793f == 1356.746f) {
            }
            return false;
        })) {
            return 100.0d;
        }
        while (true) {
            double median = getMedian(list);
            if (1423.3583984375d - 0.9d != 1422.4584f) {
                Stream stream = list.stream();
                ToDoubleFunction toDoubleFunction = d2 -> {
                    return Math.abs(d2.doubleValue() - median);
                };
                if (1469.533203125d - 0.8d == 1468.7332f) {
                }
                DoubleStream mapToDouble = stream.mapToDouble(toDoubleFunction);
                if (1472.8988037109375d - 0.8d != 1472.0988f) {
                }
                double orElse = mapToDouble.average().orElse(0.0d);
                if (1355.2513427734375d - 0.9d != 1354.3513f) {
                    return Math.max(median + (6.0d * orElse), 10.0d);
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x00b1, code lost:
    
        if ((1294.3221f - 6.9162173f) != 1287.4059f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0063, code lost:
    
        r0 = calculateAutocorrelation(r6, 3);
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0077, code lost:
    
        if ((702.83154296875d - 0.3d) == 702.53156f) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0082, code lost:
    
        if (r0 <= 0.8d) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x008b, code lost:
    
        if (r0 >= 2.0d) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0094, code lost:
    
        if (r0 <= 0.6d) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0097, code lost:
    
        return true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0035, code lost:
    
        if ((1144.0033f - 14.987101f) == 1129.0162f) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x00b7, code lost:
    
        return false;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private boolean checkRoboticPattern(java.util.List r6, java.util.List r7) {
        /*
            r5 = this;
            r0 = 0
            r8 = r0
            r0 = 0
            r10 = r0
            r0 = 0
            r12 = r0
            goto L3b
        L11:
            r0 = r5
            r1 = r6
            double r0 = r0.calculatePeriodicity(r1)
            r8 = r0
            r0 = 4648236957841752064(0x4081dae2c0000000, double:571.3607177734375)
            r1 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r0 = r0 - r1
            r1 = 1141818339(0x440ec3e3, float:571.0607)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L9d
            goto L3b
        L29:
            r0 = 0
            r1 = 1150222363(0x448f001b, float:1144.0033)
            r2 = 1097845546(0x416fcb2a, float:14.987101)
            float r1 = r1 - r2
            r2 = 1150099589(0x448d2085, float:1129.0162)
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 == 0) goto Lb7
            goto Lb7
        L3b:
            r0 = r6
            int r0 = r0.size()
            r1 = 20
            if (r0 < r1) goto L9b
            r0 = r7
            int r0 = r0.size()
            r1 = 20
            if (r0 >= r1) goto L11
            r0 = 4652687090494996480(0x4091aa4200000000, double:1130.564453125)
            r1 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r0 = r0 - r1
            r1 = 1150111453(0x448d4edd, float:1130.4645)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L9b
            goto L9b
        L63:
            r0 = r5
            r1 = r6
            r2 = 3
            double r0 = r0.calculateAutocorrelation(r1, r2)
            r12 = r0
            r0 = 4649393387449876480(0x4085f6a700000000, double:702.83154296875)
            r1 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r0 = r0 - r1
            r1 = 1143972357(0x442fa205, float:702.53156)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L63
            goto L7d
        L7d:
            r0 = r8
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 <= 0) goto L29
            r0 = r10
            r1 = 4611686018427387904(0x4000000000000000, double:2.0)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 >= 0) goto L29
            r0 = r12
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 <= 0) goto L29
            r0 = 1
            goto Lb7
        L9b:
            r0 = 0
            return r0
        L9d:
            r0 = r7
            double r0 = cn.dg32z.lon.utils.math.MathUtil.getKurtosis(r0)
            double r0 = java.lang.Math.abs(r0)
            r10 = r0
            r0 = 1151453775(0x44a1ca4f, float:1294.3221)
            r1 = 1088246183(0x40dd51a7, float:6.9162173)
            float r0 = r0 - r1
            r1 = 1151397117(0x44a0ecfd, float:1287.4059)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L63
            goto L29
        Lb7:
            return r0
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.checkRoboticPattern(java.util.List, java.util.List):boolean");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:111:0x043b -> B:36:0x0814). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:124:0x02bb -> B:197:0x0832). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:126:0x02c9 -> B:59:0x01ce). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:128:0x0190 -> B:197:0x0832). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:130:0x019f -> B:217:0x05c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:136:0x079b -> B:6:0x0595). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:140:0x00a8 -> B:141:0x03a1). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:149:0x06ed -> B:15:0x066f). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:161:0x00c3 -> B:53:0x05eb). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:173:0x0910 -> B:17:0x05ac). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:173:0x0910 -> B:197:0x0832). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:188:0x0526 -> B:9:0x08de). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:190:0x0669 -> B:17:0x05ac). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:192:0x064a -> B:8:0x00ae). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:194:0x069d -> B:217:0x05c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:196:0x06d6 -> B:223:0x04de). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:196:0x06d6 -> B:38:0x02ee). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:198:0x0842 -> B:11:0x0718). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:200:0x0151 -> B:11:0x0718). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:216:0x0977 -> B:22:0x0067). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:226:0x04ef -> B:38:0x02ee). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:228:0x04fe -> B:24:0x047a). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:27:0x0061 -> B:6:0x0595). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x0207 -> B:197:0x0832). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x0207 -> B:36:0x0814). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:47:0x01ee -> B:217:0x05c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:54:0x0608 -> B:217:0x05c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:77:0x089a -> B:59:0x01ce). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:81:0x025f -> B:8:0x00ae). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:89:0x039b -> B:26:0x0052). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:90:0x00f4 -> B:9:0x08de). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:95:0x078c -> B:8:0x00ae). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:97:0x0290 -> B:53:0x05eb). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:97:0x0290 -> B:82:0x076c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:99:0x02e8 -> B:78:0x024e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:99:0x02e8 -> B:9:0x08de). Please report as a decompilation issue!!! */
    public void process(cn.dg32z.lon.utils.update.RotationUpdate r12) {
        /*
            Method dump skipped, instructions count: 2430
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.process(cn.dg32z.lon.utils.update.RotationUpdate):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0058, code lost:
    
        if ((624.7051391601562d - 0.6d) != 624.10516f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0007, code lost:
    
        r0.add(java.lang.Double.valueOf(((java.lang.Double) r7.get(r9 + 1)).doubleValue() - ((java.lang.Double) r7.get(r9)).doubleValue()));
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x003a, code lost:
    
        if ((1144.7861328125d - 0.2d) == 1144.5862f) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x008a, code lost:
    
        r9 = r9 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0091, code lost:
    
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0071, code lost:
    
        if ((947.00385f - 9.4700775f) != 937.53375f) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x0077, code lost:
    
        r9 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0084, code lost:
    
        if ((620.8331f - 11.413223f) != 609.4199f) goto L17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x008a, code lost:
    
        r9 = 0 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0049, code lost:
    
        if (r9 >= (r7.size() - 1)) goto L22;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private java.util.List computeDerivatives(java.util.List r7) {
        /*
            r6 = this;
            r0 = 0
            r8 = r0
            r0 = 0
            r9 = r0
            goto L5e
        L7:
            r0 = r8
            r1 = r7
            r2 = r9
            r3 = 1
            int r2 = r2 + r3
            java.lang.Object r1 = r1.get(r2)
            java.lang.Double r1 = (java.lang.Double) r1
            double r1 = r1.doubleValue()
            r2 = r7
            r3 = r9
            java.lang.Object r2 = r2.get(r3)
            java.lang.Double r2 = (java.lang.Double) r2
            double r2 = r2.doubleValue()
            double r1 = r1 - r2
            java.lang.Double r1 = java.lang.Double.valueOf(r1)
            boolean r0 = r0.add(r1)
            r0 = 4652749638103728128(0x4091e32500000000, double:1144.7861328125)
            r1 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r0 = r0 - r1
            r1 = 1150227138(0x448f12c2, float:1144.5862)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L77
            goto L8a
        L40:
            r0 = r9
            r1 = r7
            int r1 = r1.size()
            r2 = 1
            int r1 = r1 - r2
            if (r0 >= r1) goto L90
            r0 = 4648706180334485504(0x408385a420000000, double:624.7051391601562)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1142687419(0x441c06bb, float:624.10516)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L7
            goto L7
        L5e:
            java.util.ArrayList r0 = new java.util.ArrayList
            r1 = r0
            r1.<init>()
            r8 = r0
            r0 = 1147977791(0x446cc03f, float:947.00385)
            r1 = 1092060528(0x41178570, float:9.4700775)
            float r0 = r0 - r1
            r1 = 1147822633(0x446a6229, float:937.53375)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L77
            goto L90
        L77:
            r0 = 0
            r9 = r0
            r0 = 1142633810(0x441b3552, float:620.8331)
            r1 = 1094098064(0x41369c90, float:11.413223)
            float r0 = r0 - r1
            r1 = 1142446816(0x44185ae0, float:609.4199)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L8a
            goto L40
        L8a:
            int r9 = r9 + 1
            goto L40
        L90:
            r0 = r8
            return r0
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.computeDerivatives(java.util.List):java.util.List");
    }

    public AimB(PlayerData playerData) {
        super(playerData);
        this.lastTick = -1L;
        this.violationLevel = 0;
        this.yawAccelHistory = new EvictingList(50);
        this.pitchAccelHistory = new EvictingList(30);
        this.historicalKValues = new EvictingList(200);
        this.kHistory = new EvictingList(100);
        this.jerkHistory = new EvictingList(50);
        this.jerkThreshold = 8.0d;
        this.kThreshold = 25.0d;
        this.yawVarCache = new EvictingList(20);
        this.pitchVarCache = new EvictingList(20);
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x0071 -> B:13:0x0016). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:37:0x0083 -> B:22:0x0064). Please report as a decompilation issue!!! */
    private boolean checkSmoothPattern(java.util.List r8, java.util.List r9, double r10, double r12) {
        /*
            Method dump skipped, instructions count: 309
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.checkSmoothPattern(java.util.List, java.util.List, double, double):boolean");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private double computeThreshold(EvictingList evictingList) {
        double calculateEMA;
        double stdDev;
        if (evictingList.size() < 50) {
            return 25.0d;
        }
        do {
            calculateEMA = calculateEMA(evictingList);
        } while (1304.5735f - 13.469029f != 1291.1045f);
        do {
            stdDev = MathUtil.stdDev(evictingList);
        } while (777.0143f - 11.003742f != 766.01056f);
        return Math.max(calculateEMA + (3.5d * stdDev), 30.0d);
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x004b, code lost:
    
        if ((1181.8228f - 8.226621f) != 1173.5962f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0064, code lost:
    
        if ((r0.size() % 2) != 0) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0073, code lost:
    
        if ((650.1939086914062d - 0.7d) != 649.4939f) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0036, code lost:
    
        return (((java.lang.Double) r0.get(r8 - 1)).doubleValue() + ((java.lang.Double) r0.get(r8)).doubleValue()) / 2.0d;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double getMedian(java.util.List r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            goto L51
        L7:
            r0 = r7
            r1 = r8
            java.lang.Object r0 = r0.get(r1)
            java.lang.Double r0 = (java.lang.Double) r0
            double r0 = r0.doubleValue()
            return r0
        L15:
            r0 = r7
            r1 = r8
            r2 = 1
            int r1 = r1 - r2
            java.lang.Object r0 = r0.get(r1)
            java.lang.Double r0 = (java.lang.Double) r0
            double r0 = r0.doubleValue()
            r1 = r7
            r2 = r8
            java.lang.Object r1 = r1.get(r2)
            java.lang.Double r1 = (java.lang.Double) r1
            double r1 = r1.doubleValue()
            double r0 = r0 + r1
            r1 = 4611686018427387904(0x4000000000000000, double:2.0)
            double r0 = r0 / r1
            return r0
        L37:
            r0 = r7
            int r0 = r0.size()
            r1 = 2
            int r0 = r0 / r1
            r8 = r0
            r0 = 1150532180(0x4493ba54, float:1181.8228)
            r1 = 1090756669(0x4103a03d, float:8.226621)
            float r0 = r0 - r1
            r1 = 1150464788(0x4492b314, float:1173.5962)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L5c
            goto L7
        L51:
            r0 = r6
            boolean r0 = r0.isEmpty()
            if (r0 == 0) goto L79
            r0 = 0
            return r0
        L5c:
            r0 = r7
            int r0 = r0.size()
            r1 = 2
            int r0 = r0 % r1
            if (r0 != 0) goto L7
            r0 = 4648930381922304000(0x4084518d20000000, double:650.1939086914062)
            r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r0 = r0 - r1
            r1 = 1143103388(0x44225f9c, float:649.4939)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L15
            goto L5c
        L79:
            r0 = r5
            r1 = r6
            java.util.List r0 = r0.insertSort(r1)
            r7 = r0
            r0 = 4647862945647165440(0x408086b940000000, double:528.8404541015625)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1141120048(0x44041c30, float:528.4404)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L7
            goto L37
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.combat.aim.AimB.getMedian(java.util.List):double");
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
